Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class SVGTextElementBridge.AttributedStringBuffer

    java.lang.Object
      org.apache.batik.bridge.SVGTextElementBridge.AttributedStringBuffer

Enclosing class:
  SVGTextElementBridge

    protected static class SVGTextElementBridge.AttributedStringBuffer

extends Object

This class is used to build an AttributedString.

Field Summary
`protected List` | `attributes` The attributes.
`protected int` | `count` The number of items.
`protected int` | `length` The length of the attributed string.
`protected List` | `strings` The strings.

Constructor Summary
`SVGTextElementBridge.AttributedStringBuffer()` Creates a new empty AttributedStringBuffer.

Method Summary
`void` | `append(String s, Map m)` Appends a String and its associated attributes.
`int` | `getLastChar()` Returns the value of the last char or -1.
`boolean` | `isEmpty()` Tells whether this AttributedStringBuffer is empty.
`int` | `length()` Returns the length in chars of the current Attributed String
`void` | `stripFirst()` Strips the last string character.
`void` | `stripLast()` Strips the last string character.
`AttributedString` | `toAttributedString()` Builds an attributed string from the content of this buffer.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### strings

    protected List strings

  The strings.

### attributes

    protected List attributes

  The attributes.

### count

    protected int count

  The number of items.

### length

    protected int length

  The length of the attributed string.

Constructor Detail

### SVGTextElementBridge.AttributedStringBuffer

    public SVGTextElementBridge.AttributedStringBuffer()

  Creates a new empty AttributedStringBuffer.

Method Detail

### isEmpty

    public boolean isEmpty()

  Tells whether this AttributedStringBuffer is empty.

### length

    public int length()

  Returns the length in chars of the current Attributed String

### append

    public void append(String s,
                       Map m)

  Appends a String and its associated attributes.

### getLastChar

    public int getLastChar()

  Returns the value of the last char or -1.

### stripFirst

    public void stripFirst()

  Strips the last string character.

### stripLast

    public void stripLast()

  Strips the last string character.

### toAttributedString

    public AttributedString toAttributedString()

  Builds an attributed string from the content of this buffer.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.